Bug 503833 - Jigdo is missing some requirements
Jigdo is missing some requirements
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: jigdo (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Ian Burrell
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 18:06 EDT by Jonathan Martens
Modified: 2017-04-06 06:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Martens 2009-06-02 18:06:37 EDT
I am using the latest jigdo released in EPEL for EL5 the moment on CentOS 5.3 at the time of writing: jigdo-0.7.3-4.el5

After installation I received a few errors when invoking the program:

[root@mirror ~]# jigdo-lite --scan /storage/SME/releases/testing/8/ --noask smeserver-8.0beta4-i386.jigdo

Jigsaw Download "lite"
Copyright (C) 2001-2005  |  jigdo@
Richard Atterer          |  atterer.net
/usr/bin/jigdo-lite: line 676: which: command not found
Could not find program `wget' - please install it!
/usr/bin/jigdo-lite: line 676: which: command not found
Could not find program `egrep' - please install it!
/usr/bin/jigdo-lite: line 676: which: command not found
Could not find program `sed' - please install it!
/usr/bin/jigdo-lite: line 676: which: command not found
Could not find program `gzip' - please install it!
/usr/bin/jigdo-lite: line 676: which: command not found
Could not find program `wc' - please install it!
/usr/bin/jigdo-lite: line 676: which: command not found
Could not find program `expr' - please install it!

-----------------------------------------------------------------
Images offered by `smeserver-8.0beta4-i386.jigdo':
  1: smeserver-8.0beta4-i386.iso
Path to scan: /storage/SME/releases/testing/8/

Not downloading .template file - `smeserver-8.0beta4-i386.template' already present
/usr/bin/jigdo-file: Output file `smeserver-8.0beta4-i386.iso' already exists - delete it or use --force
jigdo-file failed with code 3 - aborting.

Most of them were on my system apart from which. After installing which I was able to successfully build my ISO using jigdo, so I think the package SPEC file needs a few additional require directives to make sure all dependencies are met when installing jigdo:

Only wget is listed currently when querying requirements for jigdo, so this would be the additions AFAICT:

Require: which
Require: egrep
Require: sed
Require: gzip
Require: wc
Require: expr
Comment 1 Jonathan Martens 2010-01-18 04:17:44 EST
(In reply to comment #0)
> Only wget is listed currently when querying requirements for jigdo, so this
> would be the additions AFAICT:
> 
> Require: which
> Require: egrep
> Require: sed
> Require: gzip
> Require: wc
> Require: expr    

Since wc and expr are included in coreutils, as well as egrep in grep I think I have to correct my previous statement:

Require: which
Require: grep
Require: sed
Require: gzip
Require: coreutils
Comment 2 Fedora End Of Life 2017-04-06 06:37:20 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.